| v_hdmitx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiTx1 Struct Reference

The XV_HdmiTx1 driver instance data. More...

## Data Fields
XV_HdmiTx1_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_HdmiTx1_Callback | ConnectCallback
| Callback for connect event interrupt. More...
void * | ConnectRef
| To be passed to the connect interrupt callback. More...
XV_HdmiTx1_Callback | ToggleCallback
| Callback for toggle event interrupt. More...
void * | ToggleRef
| To be passed to the toggle interrupt callback. More...
XV_HdmiTx1_Callback | VsCallback
| Callback for Vsync event interrupt. More...
void * | VsRef
| To be passed to the Vsync interrupt callback. More...
XV_HdmiTx1_Callback | BrdgLockedCallback
| Callback for Bridge Locked event interrupt. More...
void * | BrdgLockedRef
| To be passed to the Bridge Unlocked interrupt callback. More...
XV_HdmiTx1_Callback | BrdgUnlockedCallback
| Callback for Bridge UnLocked event interrupt. More...
void * | BrdgUnlockedRef
| To be passed to the Bridge Unlocked interrupt callback. More...
XV_HdmiTx1_Callback | BrdgOverflowCallback
| Callback for Bridge Overflow event interrupt. More...
void * | BrdgOverflowRef
| To be passed to the Bridge Overflow interrupt callback. More...
XV_HdmiTx1_Callback | BrdgUnderflowCallback
| Callback for Bridge Underflow event interrupt. More...
void * | BrdgUnderflowRef
| To be passed to the Bridge Underflow interrupt callback. More...
XV_HdmiTx1_Callback | StreamDownCallback
| Callback for stream down callback. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_HdmiTx1_Callback | StreamUpCallback
| Callback for stream up callback. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_HdmiTx1_Callback | FrlConfigCallback
| Callback for FRL Config event interrupt. More...
void * | FrlConfigRef
| To be passed to the FRL Config interrupt callback. More...
XV_HdmiTx1_Callback | FrlFfeCallback
| Callback for FRL FFE event interrupt. More...
void * | FrlFfeRef
| To be passed to the FRL FFE interrupt callback. More...
XV_HdmiTx1_Callback | FrlStartCallback
| Callback for FRL Start event interrupt. More...
void * | FrlStartRef
| To be passed to the FRL Start interrupt callback. More...
XV_HdmiTx1_Callback | FrlStopCallback
| Callback for FRL Start event interrupt. More...
void * | FrlStopRef
| To be passed to the FRL Start interrupt callback. More...
XV_HdmiTx1_Callback | TmdsConfigCallback
| Callback for TMDS Config event interrupt. More...
void * | TmdsConfigRef
| To be passed to the TMDS Config interrupt callback. More...
XV_HdmiTx1_Callback | FrlLtsLCallback
| Callback for FRL LTS:L callback. More...
void * | FrlLtsLRef
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | FrlLts1Callback
| Callback for FRL LTS:1 callback. More...
void * | FrlLts1Ref
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | FrlLts2Callback
| Callback for FRL LTS:2 callback. More...
void * | FrlLts2Ref
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | FrlLts3Callback
| Callback for FRL LTS:3 callback. More...
void * | FrlLts3Ref
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | FrlLts4Callback
| Callback for FRL LTS:4 callback. More...
void * | FrlLts4Ref
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | FrlLtsPCallback
| Callback for FRL LTS:P callback. More...
void * | FrlLtsPRef
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | CedUpdateCallback
| Callback for CED Update callback. More...
void * | CedUpdateRef
| To be passed to the link error callback. More...
XV_HdmiTx1_Callback | DynHdrMtwCallback
| Callback for Dynamic HDR MTW Start. More...
void * | DynHdrMtwRef
| To be passed to the Dynamic HDR callback. More...
XV_HdmiTx1_Callback | DscDecodeFailCallback
| Callback for DSC decode fail. More...
void * | DscDecodeFailRef
| To be passed to DSC decode fail callback. More...
XHdmiC_Aux | Aux
| AUX peripheral information. More...
XV_HdmiC_VrrInfoFrame | VrrIF
| VRR infoframe SPDIF or VTEM. More...
XV_HdmiTx1_Stream | Stream
| HDMI TX stream information. More...
u32 | CpuClkFreq
| CPU Clock frequency. More...

## Detailed Description

The XV_HdmiTx1 driver instance data.

An instance must be allocated for each HDMI TX core in use.

## Field Documentation

XHdmiC_Aux XV_HdmiTx1::Aux

AUX peripheral information.

Referenced by XV_HdmiTx1_AuxSend().

XV_HdmiTx1_Callback XV_HdmiTx1::BrdgLockedCallback

Callback for Bridge Locked event interrupt.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::BrdgLockedRef

To be passed to the Bridge Unlocked interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::BrdgOverflowCallback

Callback for Bridge Overflow event interrupt.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::BrdgOverflowRef

To be passed to the Bridge Overflow interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::BrdgUnderflowCallback

Callback for Bridge Underflow event interrupt.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::BrdgUnderflowRef

To be passed to the Bridge Underflow interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::BrdgUnlockedCallback

Callback for Bridge UnLocked event interrupt.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::BrdgUnlockedRef

To be passed to the Bridge Unlocked interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::CedUpdateCallback

Callback for CED Update callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::CedUpdateRef

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Config XV_HdmiTx1::Config

Hardware Configuration.

Referenced by XV_HdmiTx1_Aux_Dsc_Send_Data(), XV_HdmiTx1_Aux_Dsc_Send_Header(), XV_HdmiTx1_AuxSend(), XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_DdcGetAck(), XV_HdmiTx1_DdcInit(), XV_HdmiTx1_DdcReadData(), XV_HdmiTx1_DdcWaitForDone(), XV_HdmiTx1_DdcWriteCommand(), XV_HdmiTx1_DebugInfo(), XV_HdmiTx1_IntrHandler(), XV_HdmiTx1_RegisterDebug(), XV_HdmiTx1_SelfTest(), XV_HdmiTx1_SetAxiClkFreq(), XV_HdmiTx1_SetColorDepth(), XV_HdmiTx1_SetColorFormat(), XV_HdmiTx1_SetFrl10MicroSecondsTimer(), XV_HdmiTx1_SetFrlMaxFrlRate(), XV_HdmiTx1_SetFrlTimer(), XV_HdmiTx1_SetPixelRate(), and XV_HdmiTx1_SetSampleRate().

XV_HdmiTx1_Callback XV_HdmiTx1::ConnectCallback

Callback for connect event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::ConnectRef

To be passed to the connect interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

u32 XV_HdmiTx1::CpuClkFreq

CPU Clock frequency.

Referenced by XV_HdmiTx1_SetAxiClkFreq().

XV_HdmiTx1_Callback XV_HdmiTx1::DscDecodeFailCallback

Callback for DSC decode fail.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::DscDecodeFailRef

To be passed to DSC decode fail callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::DynHdrMtwCallback

Callback for Dynamic HDR MTW Start.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::DynHdrMtwRef

To be passed to the Dynamic HDR callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlConfigCallback

Callback for FRL Config event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlConfigRef

To be passed to the FRL Config interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlFfeCallback

Callback for FRL FFE event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlFfeRef

To be passed to the FRL FFE interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlLts1Callback

Callback for FRL LTS:1 callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlLts1Ref

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlLts2Callback

Callback for FRL LTS:2 callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlLts2Ref

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlLts3Callback

Callback for FRL LTS:3 callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlLts3Ref

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlLts4Callback

Callback for FRL LTS:4 callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlLts4Ref

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlLtsLCallback

Callback for FRL LTS:L callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlLtsLRef

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlLtsPCallback

Callback for FRL LTS:P callback.

Referenced by XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlLtsPRef

To be passed to the link error callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlStartCallback

Callback for FRL Start event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlStartRef

To be passed to the FRL Start interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::FrlStopCallback

Callback for FRL Start event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::FrlStopRef

To be passed to the FRL Start interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

u32 XV_HdmiTx1::IsReady

Core and the driver instance are initialized.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_IntrHandler().

XV_HdmiTx1_Stream XV_HdmiTx1::Stream

HDMI TX stream information.

Referenced by XV_HdmiTx1_AudioEnable(), XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_ClearFrlWrongLtp(), XV_HdmiTx1_ClockRatio(), XV_HdmiTx1_DetectHdmi20(), XV_HdmiTx1_ExecFrlState(), XV_HdmiTx1_FRLACRStart(), XV_HdmiTx1_FrlRate(), XV_HdmiTx1_FrlStreamStart(), XV_HdmiTx1_FrlStreamStop(), XV_HdmiTx1_FrlTrainingInit(), XV_HdmiTx1_GetScdcEdRegisters(), XV_HdmiTx1_GetTmdsClk(), XV_HdmiTx1_Info(), XV_HdmiTx1_IsStreamConnected(), XV_HdmiTx1_IsStreamScrambled(), XV_HdmiTx1_Scrambler(), XV_HdmiTx1_SetColorDepth(), XV_HdmiTx1_SetColorFormat(), XV_HdmiTx1_SetDviMode(), XV_HdmiTx1_SetFrlMaxFrlRate(), XV_HdmiTx1_SetFrlWrongLtp(), XV_HdmiTx1_SetHdmiFrlMode(), XV_HdmiTx1_SetHdmiTmdsMode(), XV_HdmiTx1_SetPixelRate(), XV_HdmiTx1_SetSampleRate(), XV_HdmiTx1_SetStream(), XV_HdmiTx1_StartFrlTraining(), XV_HdmiTx1_StartTmdsMode(), and XV_HdmiTx1_TMDSACRStart().

XV_HdmiTx1_Callback XV_HdmiTx1::StreamDownCallback

Callback for stream down callback.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_FrlStreamStop(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiTx1_FrlStreamStop(), and XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::StreamUpCallback

Callback for stream up callback.

Referenced by XV_HdmiTx1_CfgInitialize(), XV_HdmiTx1_FrlStreamStart(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_HdmiTx1_FrlStreamStart(), and XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::TmdsConfigCallback

Callback for TMDS Config event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::TmdsConfigRef

To be passed to the TMDS Config interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiTx1_Callback XV_HdmiTx1::ToggleCallback

Callback for toggle event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::ToggleRef

To be passed to the toggle interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().

XV_HdmiC_VrrInfoFrame XV_HdmiTx1::VrrIF

VRR infoframe SPDIF or VTEM.

XV_HdmiTx1_Callback XV_HdmiTx1::VsCallback

Callback for Vsync event interrupt.

Referenced by XV_HdmiTx1_CfgInitialize(), and XV_HdmiTx1_SetCallback().

void* XV_HdmiTx1::VsRef

To be passed to the Vsync interrupt callback.

Referenced by XV_HdmiTx1_SetCallback().